Skip to content

InventoryCopiedFlds⁠

Perform various operations for Symitar parameters.

Operations⁠

getInventoryCopiedFlds⁠

POST

Retrieve InventoryCopiedFlds parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InventoryCopiedFldsInventoryScreenTypeintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getInventoryCopiedFlds
POST /nexum/627/2022.01/parameter/getInventoryCopiedFlds HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "InventoryCopiedFldsInventoryScreenType": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInventoryCopiedFldsSelectFields⁠

POST

Retrieve InventoryCopiedFlds parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InventoryCopiedFldsInventoryScreenTypeintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getInventoryCopiedFldsSelectFields
POST /nexum/627/2022.01/parameter/getInventoryCopiedFldsSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "InventoryCopiedFldsInventoryScreenType": 0,
  "SelectableFields": {
    "InventoryCopiedFldsFields": {
      "InventoryScreenType": true,
      "CopiedField": [
        0
      ],
      "SubField": [
        0
      ]
    }
  }
}

getInventoryCopiedFldsPagedList⁠

POST

Retrieve InventoryCopiedFlds parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getInventoryCopiedFldsPagedList
POST /nexum/627/2022.01/parameter/getInventoryCopiedFldsPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInventoryCopiedFldsListSelectFields⁠

POST

Retrieve InventoryCopiedFlds parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getInventoryCopiedFldsListSelectFields
POST /nexum/627/2022.01/parameter/getInventoryCopiedFldsListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllInventoryCopiedFldsFields": true
  }
}

searchInventoryCopiedFldsSelectFields⁠

POST

Search InventoryCopiedFlds parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/searchInventoryCopiedFldsSelectFields
POST /nexum/627/2022.01/parameter/searchInventoryCopiedFldsSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllInventoryCopiedFldsFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInventoryCopiedFldsPagedListSelectFields⁠

POST

Retrieve InventoryCopiedFlds parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getInventoryCopiedFldsPagedListSelectFields
POST /nexum/627/2022.01/parameter/getInventoryCopiedFldsPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "InventoryCopiedFldsFields": {
      "InventoryScreenType": true,
      "CopiedField": [
        0
      ],
      "SubField": [
        0
      ]
    }
  }
}